- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/get#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments/get#body.aspect)

Returns an add-on attachment.

Requires the add-on requesting the attachment to be the original creator of the attachment.

This method returns the following error codes:

- `PERMISSION_DENIED` for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if one of the identified resources does not exist.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}/announcements/{itemId}/addOnAttachments/{attachmentId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |
| `itemId` | `string` Identifier of the `Announcement`, `CourseWork`, or `CourseWorkMaterial` under which the attachment is attached. This field is required, but is not marked as such while we are migrating from postId. |
| `attachmentId` | `string` Required. Identifier of the attachment. |

### Query parameters

| Parameters ||
|---|---|
| `postId (deprecated)` | `string` Optional. Deprecated, use `itemId` instead. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.announcements.addOnAttachments#AddOnAttachment`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.addons.student`
- `
  https://www.googleapis.com/auth/classroom.addons.teacher`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).